<?php
/*
 * Template Name: Blog Right Sidebar
 * Description: A Page Template with a Page Builder design.
 */
     $loxicat_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<?php if(isset($loxicat_redux_demo['blog_image']['url']) && $loxicat_redux_demo['blog_image']['url'] != ''){?> 
<section class="page-title-section" style="background-image:url(<?php echo esc_url($loxicat_redux_demo['blog_image']['url']);?>)" >
<?php }else{?>
<section class="page-title-section" style="background-image:url(<?php echo get_template_directory_uri();?>/images/bg/2.jpg)">
<?php } ?> 
    <div class="container">
        <div class="row">
            <div class="col-xl-12 text-center">
                <h2 class="text-uppercase text-white mrb-10">
                    <?php
                        if ( is_day() ) :
                            printf( esc_html__( 'Daily Archives: %s', 'loxicat' ), get_the_date() );
                        elseif ( is_month() ) :
                            printf( esc_html__( 'Monthly Archives: %s', 'loxicat' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'loxicat' ) ) );
                        elseif ( is_year() ) :
                            printf( esc_html__( 'Yearly Archives: %s', 'loxicat' ), get_the_date( _x( 'Y', 'yearly archives date format', 'loxicat' ) ) );
                        else :
                            echo esc_html__( 'Archives', 'loxicat' );
                    endif;?>
                </h2>
                <ul class="mb-0 justify-content-center">
                    <li class="breadcrumb-item">
                        <a href="<?php echo esc_url(home_url('/')); ?>" class="text-white">
                          <?php if(isset($loxicat_redux_demo['home_text'])){?>
                          <?php echo wp_specialchars_decode(esc_attr($loxicat_redux_demo['home_text']));?>
                          <?php }else{?>
                          <?php echo esc_html__( 'Home', 'loxicat' );
                          }
                          ?>
                        </a>
                    </li>
                    <li class="breadcrumb-item text-primary-color">
                        <?php echo esc_html__( 'Archives', 'loxicat' );?>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</section>
<!-- Page Title End -->
<!-- Service Details Section Start -->
<div class="service-details-page pdt-110 pdb-50">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-7">
                <div class="row">
                    <?php 
                    while (have_posts()): the_post(); 
                    $image_blog = get_post_meta(get_the_ID(),'_cmb_image_blog', true);
                    ?>
                    <div class="col-md-12 col-lg-12">
                        <div class="news-wrapper mrb-30">
                            <?php if ($image_blog !='')  { ?>
                            <div class="news-thumb">
                                <img src="<?php echo esc_url($image_blog);?>" class="img-full" alt="blog">
                            </div>
                            <?php } ?>
                            <div class="news-description">
                                <div class="news-meta">
                                    <span class="admin"><i class="fa fa-user"></i> <?php the_author_posts_link(); ?></span> 
                                    <span class="time"><i class=" fa fa-clock-o"></i> <?php the_time(get_option( 'date_format' ));?> </span>
                                </div>
                                <h4 class="the-title mrb-20"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h4>
                                <p class="the-content mrb-0">
                                    <?php if(isset($loxicat_redux_demo['blog_excerpt'])){?>
                                    <?php echo esc_attr(loxicat_excerpt($loxicat_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                    <?php echo esc_attr(loxicat_excerpt(50)); } ?>
                                </p>
                            </div>
                            <div class="news-bottom-part">
                                <div class="post-link">
                                    <a href="<?php the_permalink();?>" class="link-btn text-primary-color">
                                    <?php if(isset($loxicat_redux_demo['read_more'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($loxicat_redux_demo['read_more']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Read more', 'loxicat' ); } ?>
                                    <i class="fa fa-angle-right mrl-5"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <nav class="pagination-nav pdt-30">
                            <?php 
                            $pagination = array(
                            'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
                            'format'    => '',
                            'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'loxicat' ),ENT_QUOTES),
                            'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'loxicat' ),ENT_QUOTES),
                            'type'      => 'list',
                            'end_size'    => 3,
                            'mid_size'    => 3
                            );
                            if(paginate_links( $pagination ) != ''){
                                $return =  paginate_links( $pagination );
                                echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination-list">', $return );
                            }
                            ?>
                        </nav>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-5 sidebar-right">
                <aside class="news-sidebar-widget">
                    <?php get_sidebar();?> 
                </aside>
            </div>
        </div>
    </div>
</div>
<?php
    get_footer();
?>