<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

<?php if ( have_comments() ) : ?>
    <h3 class="comments-title"><?php comments_number( esc_html__(' 0 Comments', 'loxicat'), esc_html__(' 1 Comment', 'loxicat'), esc_html__('% Comments', 'loxicat') ); ?></h3>
    <ol class="comment-list">
        <?php wp_list_comments('callback=loxicat_theme_comment'); ?> 
    </ol>

<div class="col-md-12"> 
<!-- START PAGINATION -->
<?php
if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
?>
<div class="pagination_area">
     <nav>
          <ul class="pagination">
               <li> <?php paginate_comments_links( 
              array(
              'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'loxicat' ),ENT_QUOTES),
              'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'loxicat' ),ENT_QUOTES),
              ));  ?>
                </li>
          </ul>
     </nav>
</div>                                       
<?php endif; ?>
<!-- END PAGINATION --> 
</div>
<?php endif; ?>     
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
$aria_req = ( $req ? " aria-required='true'" : '' );
$comment_args = array(
        'id_form' => 'contacts-form',        
        'class_form' => 'reply-form mrt-40',                         
        'title_reply'=> wp_specialchars_decode(esc_html__( 'Leave A Comment', 'loxicat' ),ENT_QUOTES),
        'fields' => apply_filters( 'comment_form_default_fields', array(
              
             'author' => '
                        <div class="col-lg-6">
                        <div class="form-group">
                          <input type="text" name="author" class="form-control" placeholder="'.esc_attr__('Name ', 'loxicat').'" required="'.esc_attr__('required', 'loxicat').'" data-error="'.esc_attr__('Name is required.', 'loxicat').'">
                          </div></div>',
            'email' => '<div class="col-lg-6">
                        <div class="form-group">
                             <input type="email" name="email" class="form-control" placeholder="'.esc_attr__('Email', 'loxicat').'" required="'.esc_attr__('required', 'loxicat').'" data-error="'.esc_attr__('Valid email is required.', 'loxicat').'">
                             <div class="help-block with-errors"></div>
                        </div>
                        </div>',
        ) ),   
          'comment_field' => '<div class="col-lg-12">
                                <div class="form-group">
                                <textarea id="message"  name="comment" class="form-control" placeholder="'.esc_attr__('Write A Comment', 'loxicat').'" required="'.esc_attr__('required', 'loxicat').'" data-error="'.esc_attr__('Please,leave us a message.', 'loxicat').'"></textarea>
                                  <div class="help-block with-errors"></div>
                              </div>
                              </div>
                              ', 
                
         'label_submit' => esc_html__( 'Post A Comment', 'loxicat' ),
         'comment_notes_before' => '',
         'comment_notes_after' => '',               
)
?>
<div class="post-comments-form">
<?php if ( comments_open() ) : ?>
    <?php comment_form($comment_args); ?>
<?php endif; ?> 
</div>