<?php
$loxicat_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
//Theme Set up:
function loxicat_theme_setup() {
    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
  	add_theme_support( 'custom-header' ); 
  	add_theme_support( 'custom-background' );
  	$lang = get_template_directory_uri() . '/languages';
    load_theme_textdomain('loxicat', $lang);
    add_theme_support( 'post-thumbnails' );
    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( "title-tag" );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location.
  	register_nav_menus( array(
      'primary' =>  esc_html__( 'Primary Navigation Menu: Chosen menu in  pages ...', 'loxicat' ),
      'services' =>  esc_html__( 'Services Menu: Chosen menu in services details ...', 'loxicat' ),
  	) );
      // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'loxicat_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;
function loxicat_theme_scripts_styles() {
  	$loxicat_redux_demo = get_option('redux_demo');
  	$protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'loxicat-layers', get_template_directory_uri().'/revolution/css/layers.css');
    wp_enqueue_style( 'settings', get_template_directory_uri().'/revolution/css/settings.css');
    wp_enqueue_style( 'loxicat-navigation', get_template_directory_uri().'/revolution/css/navigation.css');
    wp_enqueue_style( 'loxicat-css', get_template_directory_uri().'/css/style.css');
    wp_enqueue_style( 'loxicat-responsive', get_template_directory_uri().'/css/responsive.css');
    wp_enqueue_style( 'loxicat-style', get_stylesheet_uri(), array(), '2020-04-01' );

    if(isset($loxicat_redux_demo['rtl']) && $loxicat_redux_demo['rtl']==1){
    wp_enqueue_style( 'rtl', get_template_directory_uri().'/rtl.css');  }

  	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
    //Javascript
    wp_enqueue_script('jquery-1.12.4', get_template_directory_uri().'/js/jquery.v1.12.4.min.js',array(),false,true);
    wp_enqueue_script('bootstrap', get_template_directory_uri().'/js/bootstrap.min.js',array(),false,true);
    wp_enqueue_script('jquery-core-plugins', get_template_directory_uri().'/js/jquery-core-plugins.js',array(),false,true);
    wp_enqueue_script('loxicat-main', get_template_directory_uri().'/js/main.js',array(),false,true);
    wp_enqueue_script('jquery-themepunch-tools', get_template_directory_uri().'/revolution/js/jquery.themepunch.tools.min.js',array(),false,true);
    wp_enqueue_script('jquery-themepunch-revolution', get_template_directory_uri().'/revolution/js/jquery.themepunch.revolution.min.js',array(),false,true);
    wp_enqueue_script('jquery-slider-v1', get_template_directory_uri().'/revolution/js/slider_v1.js',array(),false,true);
    wp_enqueue_script('revolution-extension-actions', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.actions.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-carousel', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.carousel.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-kenburn', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.kenburn.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-layeranimation', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.layeranimation.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-migration', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.migration.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-navigation', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.navigation.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-parallax', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.parallax.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-slideanims', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.slideanims.min.js',array(),false,true);
    wp_enqueue_script('revolution-extension-video', get_template_directory_uri().'/revolution/js/extensions/revolution.extension.video.min.js',array(),false,true);
}
add_action( 'wp_enqueue_scripts', 'loxicat_theme_scripts_styles' );
//Custom Excerpt Function
function loxicat_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
} 
// Widget Sidebar
function loxicat_widgets_init() {
  	register_sidebar( array(
      'name'          => esc_html__( 'Primary Sidebar', 'loxicat' ),
      'id'            => 'sidebar-1',        
  		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'loxicat' ),        
  		'before_widget' => '<div class="widget sidebar-widget widget-categories widget-search mrb-30 widget-popular-posts widget-archives %2$s" id="%1$s">',        
  		'after_widget'  => '</div>',        
  		'before_title'  => '<h4 class="mrb-20 widget-title">',        
  		'after_title'   => '</h4>'
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Sidebar Project', 'loxicat' ),
      'id'            => 'sidebar-2',        
      'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'loxicat' ),        
      'before_widget' => '<div class="%2$s" id="%1$s">',        
      'after_widget'  => '</div>',        
      'before_title'  => '',        
      'after_title'   => ''
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Sidebar Services', 'loxicat' ),
      'id'            => 'sidebar-3',        
      'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'loxicat' ),        
      'before_widget' => '<div class="%2$s" id="%1$s">',        
      'after_widget'  => '</div>',        
      'before_title'  => '',        
      'after_title'   => ''
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Header Text', 'loxicat' ),
      'id'            => 'header-text',
      'description'   => esc_html__( 'Header Text', 'loxicat' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => ' ',
      'after_title'   => ' ',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Widget', 'loxicat' ),
      'id'            => 'footer-area-1',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'loxicat' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => ' ',
      'after_title'   => ' ',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Widget', 'loxicat' ),
      'id'            => 'footer-area-2',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'loxicat' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' ',
      'after_title'   => ' ',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Three Widget', 'loxicat' ),
      'id'            => 'footer-area-3',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'loxicat' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' ',
      'after_title'   => ' ',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Four Widget', 'loxicat' ),
      'id'            => 'footer-area-4',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'loxicat' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' ',
      'after_title'   => ' ',
    ) );
}
add_action( 'widgets_init', 'loxicat_widgets_init' );
//function tag widgets
function loxicat_tag_cloud_widget($args) {
  	$args['number'] = 0; //adding a 0 will display all tags
  	$args['largest'] = 18; //largest tag
  	$args['smallest'] = 11; //smallest tag
  	$args['unit'] = 'px'; //tag font unit
  	$args['format'] = 'list'; //ul with a class of wp-tag-cloud
  	$args['exclude'] = array(20, 80, 92); //exclude tags by ID
  	return $args;
}
add_filter( 'widget_tag_cloud_args', 'loxicat_tag_cloud_widget' );
function loxicat_excerpt() {
  $loxicat_redux_demo = get_option('redux_demo');
  if(isset($loxicat_redux_demo['blog_excerpt'])){
    $limit = $loxicat_redux_demo['blog_excerpt'];
  }else{
    $limit = 50;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function loxicat_excerpt2() {
  $loxicat_redux_demo = get_option('redux_demo');
  if(isset($loxicat_redux_demo['blog_excerpt2'])){
    $limit = $loxicat_redux_demo['blog_excerpt2'];
  }else{
    $limit = 50;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function loxicat_excerpt3() {
  $loxicat_redux_demo = get_option('redux_demo');
  if(isset($loxicat_redux_demo['blog_excerpt3'])){
    $limit = $loxicat_redux_demo['blog_excerpt3'];
  }else{
    $limit = 50;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function loxicat_search_form( $form ) {
    $form = '
        <form action="' . esc_url(home_url('/')) . '">
            <input type="text" class="s-input-home" name="s" required value="' . get_search_query() . '" placeholder="'.esc_attr__('Search…', 'loxicat').'">
            <button class="btn-s-input" type="submit"><i class="fa fa-search"></i></button>
        </form>
	';
    return $form;
}
add_filter( 'get_search_form', 'loxicat_search_form' );
function loxicat_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='100' )!=''){?>
      <li class="comment">
        <article class="comment-body">
          <div class="comment-author-thumb f-left">
            <?php echo get_avatar($comment,$size='70');?>
          </div>
          <div class="comment-content">
            <h6 class="comment-author"><?php printf( get_comment_author_link()) ?></h6>
            <div class="comment-meta">
              <div class="comment-metadata">
                <a href="#">
                  <span>
                    <i class="fa fa-calendar mrr-5"></i>
                    <?php the_time(get_option( 'date_format' ));?>
                  </span>
                </a>
              </div>
            </div>
            <?php comment_text() ?>
            <div class="reply">
              <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
            </div>
          </div>
        </article> 
      </li>
  <?php }else{?>
  <li class="comment">
      <article class="comment-body">
        <div class="comment-content">
          <h6 class="comment-author"><?php printf( get_comment_author_link()) ?></h6>
          <div class="comment-meta">
            <div class="comment-metadata">
              <a href="#">
                <span>
                  <i class="fa fa-calendar mrr-5"></i>
                  <?php the_time(get_option( 'date_format' ));?>
                </span>
              </a>
            </div>
          </div>
          <?php comment_text() ?>
          <div class="reply">
            <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
          </div>
        </div>
      </article> 
    </li>
<?php }?>

<?php
}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'loxicat_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function loxicat_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'loxicat' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'loxicat' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'loxicat' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Contact Form 7', 'loxicat' ),
            'slug'                     => 'contact-form-7',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/contact-form-7.zip',
        ),
      array(
            'name'                     => esc_html__( 'Loxicat Common', 'loxicat' ),
            'slug'                     => 'loxicat-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/loxicat-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Elementor', 'loxicat' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Loxicat Elementor', 'loxicat' ),
            'slug'                     => 'loxicat-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/loxicat-elementor.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'loxicat' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'loxicat' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'loxicat' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'loxicat' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'loxicat' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'loxicat' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'loxicat' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'loxicat' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'loxicat' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'loxicat' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'loxicat' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}


function loxicat_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import Loxicat',
            'import_file_url'            => 'http://shtheme.com/import/loxicat/content.xml',
            'import_widget_file_url'     => 'http://shtheme.com/import/loxicat/widget.json',
            'import_notice'              => esc_html__( 'Import data example loxicat', 'loxicat' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'loxicat_import_files' );



function loxicat_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary Menu', 'primary' );
    

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home 1' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'loxicat_after_import_setup' );


?>