<!doctype html>
<html <?php language_attributes(); ?>>
<?php $loxicat_redux_demo = get_option('redux_demo'); ?>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($loxicat_redux_demo['favicon']['url'])){?><?php echo esc_url($loxicat_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>
    <?php wp_head(); ?> 
</head>
<body <?php body_class(); ?>>
<!--[if lt IE 8]>
<p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
<![endif]-->


    <!-- < NAVIGATION WITH BACKGROUND COLOR NAVBAR >............................................ -->
<!-- removed navbar-toggleable-md because responsive issues. Find out why ..... -->


    <!-- start page-wrapper -->
<div class="preloader"></div>
    <!-- Preloader End -->
    <!-- header Start -->
    <header class="header-style-two">
        <div class="header-wrapper">
            <div class="header-top-area bg-secondary-color d-none d-lg-block">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-6 header-top-left-part">
                            <?php if($loxicat_redux_demo['address2'] != ''){?>
                            <span class="address"><i class="webexflaticon webex-flaticon-placeholder-1"></i> <?php echo esc_attr($loxicat_redux_demo['address2']);?></span>
                            <?php } ?>
                            <?php if($loxicat_redux_demo['email2'] != ''){?>
                            <span class="phone"><i class="webexflaticon webex-flaticon-send"></i> <?php echo esc_attr($loxicat_redux_demo['email2']);?></span>
                            <?php } ?>
                        </div>
                        <div class="col-lg-6 header-top-right-part text-right">
                            <ul class="social-links">
                                <?php if($loxicat_redux_demo['facebook'] != ''){?>
                                <li><a href="<?php echo esc_attr($loxicat_redux_demo['facebook']);?>" target="_blank"><i class="fa fa-facebook-f"></i></a></li>
                                <?php } ?>
                                <?php if($loxicat_redux_demo['twitter'] != ''){?>
                                <li><a href="<?php echo esc_attr($loxicat_redux_demo['twitter']);?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
                                <?php } ?>
                                <?php if($loxicat_redux_demo['linkedin'] != ''){?>
                                <li><a href="<?php echo esc_attr($loxicat_redux_demo['linkedin']);?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                                <?php } ?>
                                <?php if($loxicat_redux_demo['google'] != ''){?>
                                <li><a href="<?php echo esc_attr($loxicat_redux_demo['google']);?>"><i class="fa fa-google-plus"></i></a></li>
                                <?php } ?>
                            </ul>
                            <div class="language">
                                <a class="language-btn" href="#"><i class="webexflaticon webex-flaticon-internet"></i> English</a>
                                <ul class="language-dropdown">
                                    <li><a href="#">English</a></li>
                                    <li><a href="#">Bangla</a></li>
                                    <li><a href="#">French</a></li>
                                    <li><a href="#">Spanish</a></li>
                                    <li><a href="#">Arabic</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="header-middle">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 d-flex align-items-center justify-content-between">
                            <?php if(isset($loxicat_redux_demo['logo']['url']) && $loxicat_redux_demo['logo']['url'] != ''){?> 
                            <a class="navbar-brand logo" href="<?php echo esc_url(home_url('/')); ?>">
                                <img id="logo-image" class="img-center" src="<?php echo esc_url($loxicat_redux_demo['logo']['url']); ?>" alt="">
                            </a>
                            <?php }else{?>
                            <a class="navbar-brand logo" href="<?php echo esc_url(home_url('/')); ?>">
                                <img id="logo-image" class="img-center" src="<?php echo get_template_directory_uri();?>/images/logo.png" alt="">
                            </a>
                            <?php } ?> 
                            <div class="topbar-info-area d-none d-sm-flex align-items-center justify-content-between">
                                <?php if($loxicat_redux_demo['address'] != ''){?>
                                <div class="d-none d-md-flex align-items-center mr-3">
                                    <i class="webexflaticon webex-flaticon-globe-1 text-primary-color"></i>
                                    <div>
                                        <h6><?php echo esc_attr($loxicat_redux_demo['title_address']);?></h6>
                                        <a class="text-gray" href="<?php echo esc_attr($loxicat_redux_demo['address']);?>"><?php echo esc_attr($loxicat_redux_demo['address']);?></a>
                                    </div>
                                </div>
                                <?php } ?>
                                <?php if($loxicat_redux_demo['email'] != ''){?>
                                <div class="d-flex align-items-center mr-3">
                                    <i class="webexflaticon webex-flaticon-mail-1 text-primary-color"></i>
                                    <div>
                                        <h6><?php echo esc_attr($loxicat_redux_demo['title_email']);?></h6>
                                        <a class="text-gray" href="mailto:<?php echo esc_attr($loxicat_redux_demo['email']);?>"><?php echo esc_attr($loxicat_redux_demo['email']);?></a>
                                    </div>
                                </div>
                                <?php } ?>
                                <?php if($loxicat_redux_demo['phone'] != ''){?>
                                <div class="d-none d-lg-flex align-items-center">
                                    <i class="webexflaticon webex-flaticon-phone-1 text-primary-color"></i>
                                    <div>
                                        <h6><?php echo esc_attr($loxicat_redux_demo['title_phone']);?></h6>
                                        <a class="text-gray" href="tel:<?php echo esc_attr($loxicat_redux_demo['phone']);?>"><?php echo esc_attr($loxicat_redux_demo['phone']);?></a>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="header-navigation-area three-layers-header">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="header-searchbox-style-two">
                                <div class="side-panel side-panel-trigger text-right d-none d-lg-block">
                                    <span class="bar1"></span>
                                    <span class="bar2"></span>
                                    <span class="bar3"></span>
                                </div>
                                <div class="show-searchbox">
                                    <a href="#"><i class="webex-icon-Search"></i></a>
                                </div>
                                <div class="toggle-searchbox">
                                    <form action="<?php echo esc_url(home_url('/')); ?>" id="searchform-all" method="get">
                                        <div>
                                            <input type="text" name="s" id="s" class="form-control" value="<?php echo get_search_query();?>" placeholder="<?php echo esc_attr__('Search…', 'loxicat');?>" >
                                            <div class="input-box">
                                                <input type="submit" class="input-box" value="" id="searchsubmit"><i class="fa fa-search"></i>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="main-menu">
                                <nav id="mobile-menu">
                                    <?php 
                                        wp_nav_menu( 
                                            array( 
                                                'theme_location' => 'primary',
                                                'container' => '',
                                                'menu_class' => '', 
                                                'menu_id' => '',
                                                'menu'            => '',
                                                'container_class' => '',
                                                'container_id'    => '',
                                                'echo'            => true,
                                                 'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                                 'walker'            => new loxicat_wp_bootstrap_navwalker(),
                                                'before'          => '',
                                                'after'           => '',
                                                'link_before'     => '',
                                                'link_after'      => '',
                                                'items_wrap'      => '<ul class=" %2$s" >%3$s</ul>',
                                                'depth'           => 0,        
                                            )
                                        ); ?>
                                </nav>
                            </div>
                            <div class="side-panel-content">
                                <?php if ( is_active_sidebar( 'header-text' ) ) : ?>
                                    <?php dynamic_sidebar( 'header-text' ); ?>
                                <?php endif; ?>
                            </div>
                            <div class="mobile-menu"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>