<?php
   $loxicat_redux_demo = get_option('redux_demo');
   get_header(); 
?>
<?php 
    while (have_posts()): the_post();
?>
<section class="page-title-section">
        <div class="container">
            <div class="row">
                <div class="col-xl-12 text-center">
                    <h2 class="text-uppercase text-white mrb-10">
                        <?php if(isset($loxicat_redux_demo['project_detail'])){?>
                        <?php echo htmlspecialchars_decode(esc_attr($loxicat_redux_demo['project_detail']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Project Details', 'loxicat' ); } ?></h2>
                    <ul class="mb-0 justify-content-center">
                        <li class="breadcrumb-item">
                            <a href="<?php echo esc_url(home_url('/')); ?>" class="text-white">
                              <?php if(isset($loxicat_redux_demo['home_text'])){?>
                              <?php echo wp_specialchars_decode(esc_attr($loxicat_redux_demo['home_text']));?>
                              <?php }else{?>
                              <?php echo esc_html__( 'Home', 'loxicat' );
                              }
                              ?>
                            </a>
                        </li>
                        <li class="breadcrumb-item text-primary-color">
                            <?php if(isset($loxicat_redux_demo['project_detail'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($loxicat_redux_demo['project_detail']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Project Details', 'loxicat' ); } ?>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </section>
    <!-- Page Title End -->
    <!-- Project Details Section Start -->
    <section class="project-details-page pdt-110 pdb-70">
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-lg-7">
                    <?php if (get_post_thumbnail_id() !='')  { ?>
                    <div class="blog-standared-img slider-blog">
                        <img class="img-full" src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>">
                    </div>
                    <?php } ?>
                    <div class="project-detail-text">
                        <?php the_content(); ?>
                        <?php wp_link_pages( array(
                            'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'loxicat' ),
                            'after'       => '</div>',
                            'link_before' => '<p class="page-number">',
                            'link_after'  => '</p>',
                        ) ); ?>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-5 sidebar-right">
                    <?php if ( is_active_sidebar( 'sidebar-2' ) ) : ?>
                    <?php dynamic_sidebar( 'sidebar-2' ); ?>
                    <?php endif; ?> 
                </div>
            </div>
        </div>
    </section>
<?php endwhile; ?>
    <!-- FOOTER -->
<?php
    get_footer();
?>

