<?php
   $loxicat_redux_demo = get_option('redux_demo');
   get_header(); 
?>
<?php 
    while (have_posts()): the_post();
?>
<?php if(isset($loxicat_redux_demo['blog_single_image']['url']) && $loxicat_redux_demo['blog_single_image']['url'] != ''){?> 
<section class="page-title-section" style="background-image:url(<?php echo htmlspecialchars_decode(esc_attr($loxicat_redux_demo['blog_single_image']));?>)">
<?php }else{?>
<section class="page-title-section" style="background-image:url(<?php echo get_template_directory_uri();?>/images/bg/2.jpg)">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-xl-12 text-center">
                <h2 class="text-uppercase text-white mrb-10">
                    <?php if(isset($loxicat_redux_demo['blog_single_title'])){?>
                    <?php echo htmlspecialchars_decode(esc_attr($loxicat_redux_demo['blog_single_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Single News', 'loxicat' ); } ?>
                </h2>
                <ul class="mb-0 justify-content-center">
                    <li class="breadcrumb-item">
                        <a href="<?php echo esc_url(home_url('/')); ?>" class="text-white">
                          <?php if(isset($loxicat_redux_demo['home_text'])){?>
                          <?php echo wp_specialchars_decode(esc_attr($loxicat_redux_demo['home_text']));?>
                          <?php }else{?>
                          <?php echo esc_html__( 'Home', 'loxicat' );
                          }
                          ?>
                        </a>
                    </li>
                    <li class="breadcrumb-item text-primary-color">
                        <?php if(isset($loxicat_redux_demo['blog_single_title'])){?>
                        <?php echo htmlspecialchars_decode(esc_attr($loxicat_redux_demo['blog_single_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Single News', 'loxicat' ); } ?>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</section>
<!-- Page Title End -->
<!-- Service Details Section Start -->
<section class="blog-single-news pdt-110 pdb-50">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-7">
                <div class="single-news-details mrb-30">
                    <?php if (get_post_thumbnail_id() !='')  { ?>
                    <div class="single-news-thumb">
                        <img class="img-full" src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                    </div>
                    <?php } ?>
                    <div class="single-news-content">
                        <div class="entry-meta"><span class="admin"><i class="fa fa-user-o"></i><?php echo esc_html__( 'By', 'loxicat' );?> <?php the_author_posts_link(); ?></span> 
                            <span class="mrr-10 mrl-10"></span> <i class="fa fa-calendar"></i> <?php the_time(get_option( 'date_format' ));?><span class="mrr-10 mrl-10">
                        </div>
                        <h3 class="entry-title text-capitalize mrb-20"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h3>
                        <div class="entry-content">
                            <?php the_content(); ?>
                            <?php wp_link_pages( array(
                                'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'webfix' ),
                                'after'       => '</div>',
                                'link_before' => '<p class="page-number">',
                                'link_after'  => '</p>',
                            ) ); ?>
                        </div>
                        <div class="comments-area">
                        <?php comments_template();?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-5 sidebar-right">
                <aside class="news-sidebar-widget">
                    <?php get_sidebar();?>
                </aside>
            </div>
        </div>
    </div>
</section>
<?php endwhile; ?>
    <!-- FOOTER -->
<?php
    get_footer();
?>

